#!/bin/sh

total=0
fail=0
while [ $# -gt 0 ]; do
	if [ $1 = "lib-program-client/test-program-client-local" -o $1 = "lib-smtp/test-smtp-submit" ]; then
		# weird special cases carried from prior Makefile.am "check" recipes
		cmd="env NOCHILDREN=yes ./$1"
	else
		cmd="./$1"
	fi
	shift
	echo
	echo "Running: $cmd"
	$cmd || let fail++
	let total++
done

echo "Total: $fail / $total test programs failed"
[ $fail -eq 0 ]
