#include "lib.h"
#include "module-dir.h"
#include "../plugins/fts/doveadm-fts.h"

void module_dir_load_adm(struct module **modules, const char *mod_names)
{
	T_BEGIN {
		const char **names = module_parse_names(mod_names);

		/* TODO:
		 * lib10_doveadm_acl_plugin
		 * lib10_doveadm_quota_plugin
		 */
		module_load_static(modules, names, "doveadm_fts",
				doveadm_fts_plugin_init,
				doveadm_fts_plugin_deinit);

	} T_END;
}
