#include "lib.h"
#include "module-dir.h"

/* XXX these aren't found in any existing header, and their signature is wrong (no args instead of one) */
void authdb_imap_init(void);
void authdb_imap_deinit(void);

void module_dir_load_auth(struct module **modules, const char *mod_names)
{
	T_BEGIN {
		const char **names = module_parse_names(mod_names);

		module_load_static(modules, names, "authdb_imap",
				authdb_imap_init,
				authdb_imap_deinit);
	} T_END;
}
