#include "lib.h"
#include "module-dir.h"
#include "../plugins/fts/fts-plugin.h"
#include "../plugins/fts-squat/fts-squat-plugin.h"

void module_dir_load_mail(struct module **modules, const char *mod_names)
{
	T_BEGIN {
		const char **names = module_parse_names(mod_names);

		module_load_static(modules, names, "fts",
				fts_plugin_init,
				fts_plugin_deinit);
		module_load_static(modules, names, "fts_squat",
				fts_squat_plugin_init,
				fts_squat_plugin_deinit); /* requires: fts */

	} T_END;
}
