#include "lib.h"
#include "module-dir.h"

/* XXX these aren't found in any existing header, and their signature is wrong (no args instead of one) */
void old_stats_mail_init(void);
void old_stats_mail_deinit(void);
void stats_auth_init(void);
void stats_auth_deinit(void);

void module_dir_load_old_stats(struct module **modules, const char *mod_names)
{
	T_BEGIN {
		const char **names = module_parse_names(mod_names);

		module_load_static(modules, names, "old_stats_mail",
				old_stats_mail_init,
				old_stats_mail_deinit);
		module_load_static(modules, names, "stats_auth",
				stats_auth_init,
				stats_auth_deinit);
	} T_END;
}
