#ifdef HAVE_SSL

#include "lib.h"
#include "module-dir.h"

#ifdef HAVE_OPENSSL
#include "../lib-ssl-iostream/iostream-openssl.h"
#endif

void module_dir_load_ssl_iostream(struct module **modules, const char *mod_names)
{
	T_BEGIN {
		const char **names = module_parse_names(mod_names);

#ifdef HAVE_OPENSSL
		module_load_static(modules, names, "ssl_iostream_openssl",
				ssl_iostream_openssl_init,
				ssl_iostream_openssl_deinit);
#endif
	} T_END;
}

#endif
